### Method

# Pango Attributeas_float

since: 1.50

#### Declaration [src]

    PangoAttrFloat*
    pango_attribute_as_float (
      PangoAttribute* attr
    )

#### Description [src]

Returns the attribute cast to `PangoAttrFloat`.

This is mainly useful for language bindings.

Available since: 1.50

#### Return value

Type: `PangoAttrFloat`

The attribute as `PangoAttrFloat`, or `NULL` if it’s not a floating point attribute.

The data is owned by the instance.
The return value can be `NULL`.